
#if 0%{?fedora} > 1 || 0%{?rhel} > 3
%define kernel26 1 
#endif

%define is_release 2 

Summary: aRts (analog realtime synthesizer) - the KDE sound system
Name:	 arts
Epoch:	 8
Version: 1.5.6
Release: 2%{?dist}%{?kde}

License: LGPL
Source0: ftp://ftp.kde.org/pub/kde/stable/src/3.5.6/arts-%{version}.tar.bz2
Group:	 System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

BuildRequires: qt-devel 
# Shouldn't be necessary, but some folks won't upgrade, unless we stiff-arm them.  (-;
%global qt_ver %(pkg-config qt-mt --modversion 2>/dev/null || echo 3.3)
Requires: qt >= 1:%{qt_ver}

%if "%{is_release}" != "1"
BuildRequires: automake libtool
%endif

BuildRequires: zlib-devel
BuildRequires: audiofile-devel
BuildRequires: esound-devel
BuildRequires: glib2-devel
BuildRequires: libvorbis-devel	
BuildRequires: alsa-lib-devel 
BuildRequires: nas-devel
# Patch139445 requires boost (bummer) -- Rex
BuildRequires: boost-devel
BuildRequires: findutils

Patch0: kde-libtool.patch
Patch1: arts-1.1.4-debug.patch
Patch2: arts-1.3.92-glib2.patch
Patch5: arts-1.3.1-alsa.patch
Patch6: arts-1.4.0-glibc.patch
Patch7: arts-1.5.0-check_tmp_dir.patch
Patch8: arts-1.5.2-multilib-2.patch

## upstream patches
Patch93359: kde-3.5-libtool-shlibext.patch 
Patch1001: arts-1.5.4-dlopenext.patch 
# http://bugs.kde.org/139445
# http://cvs.pld-linux.org/cgi-bin/cvsweb/SOURCES/arts-extension_loader.patch?rev=1.2
#Patch139445: arts-extension_loader.patch
Patch139445: arts-1.5.5-kde#139445.patch


%description
arts (analog real-time synthesizer) is the sound system of KDE 3.

The principle of arts is to create/process sound using small modules which do
certain tasks. These may be create a waveform (oscillators), play samples,
filter data, add signals, perform effects like delay/flanger/chorus, or
output the data to the soundcard.

By connecting all those small modules together, you can perform complex
tasks like simulating a mixer, generating an instrument or things like
playing a wave file with some effects.


%package devel
Group: Development/Libraries
Summary: Development files for the aRts sound server
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: qt-devel
Requires: pkgconfig
# deprecated -- Rex
#Obsoletes: kdelibs-sound-devel < %{epoch}:%{version}
%description devel
Install this if you intend to write applications using arts.


%prep
%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool
%patch1 -p1 -b .debug
%patch2 -p1 -b .glib
%{?kernel26:%patch5 -p1 -b .alsa}
%patch6 -p1 -b .glibc
%patch7 -p1 -b .check_tmp_dir
%patch8 -p1 -b .multilib

%patch93359 -p1 -b .libtool-shlibext
%patch1001 -p1 -b .dlopenext
%patch139445 -p1 -b .139445

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-libmad 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## remove references to optional external libraries in .la files (#178733)
find $RPM_BUILD_ROOT%{_libdir} -name "*.la" | xargs \
 sed -i \
 -e "s|-lmad||g" \
 -e "s|%{_libdir}/libmad.la||g" \
 -e "s|-lvorbisfile||g" \
 -e "s|-lvorbisenc||g" \
 -e "s|-lvorbis||g" \
 -e "s|-logg||g" \
 -e "s|-lasound||g" \
 -e "s|-laudiofile||g" \
 -e "s|-lesd||g" \
 -e "s|%{_libdir}/libesd.la||g" \
 -e "s|-lgmodule-2.0||g" \
 -e "s|-lgthread-2.0||g" \
 -e "s|-lglib-2.0||g" \
 -e "s|-laudio ||g" \
 -e "s|-lpng -lz ||g" \
 -e "s|%{_libdir}/libartsc.la||g" \
 -e "s@-lboost_filesystem@@g" \
 -e "s@-lboost_regex@@g"

# known-ok-omit .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/libartsc.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
# artswrapper needs suid root for real-time priority support 
%attr(4755,root,root) %{_bindir}/artswrapper
%{_bindir}/artscat
%{_bindir}/arts[d-s]*
%{_libdir}/mcop
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/artsc.pc
%{_bindir}/artsc-config
%{_bindir}/mcopidl
%{_includedir}/kde/arts*


%clean 
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Jan 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.6-2
- nuke boost references in .la files

* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.6-1
- kde-3.5.6

* Thu Jan 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.5-3
- fix artsd crasher 

* Thu Jan 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.5-2
- include .la files, artsd crashes without them 
- (try) leaving out at least libartsc.la

* Thu Jan 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.5-1
- arts-extension_loader.patch (kde bug #139445)
- be brave, omit .la files

* Tue Oct 03 2006 Rex Dieter <rexdieter[AT]users.sf.net> 8:1.5.5-0.1
- 1.5.5
- dlopenext patch

* Sat Sep 30 2006 Rex Dieter <rexdieter[AT]users.sf.net> 8:1.5.4-1.1
- BR: nas-devel 

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 8:1.5.4-1.0
- kde-3.5.4

* Fri Jun 09 2006 Rex Dieter <rexdieter[AT]users.sf.net> 8:1.5.3-1.2
- http://www.kde.org/info/security/advisory-20060615-2.txt

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 8:1.5.3-1.1
- fix multilib issue

* Wed May 24 2006 Rex Dieter 8:1.5.3-1.0
- kde-3.5.3

* Thu Apr 13 2006 Rex Dieter 6:1.5.2-1.2
- Requires: qt > 1:3.3

* Thu Apr 13 2006 Rex Dieter 6:1.5.2-1.1
- --disable-libmad, it duplicates more functional decoder(s) 
   from kdemultimedia-extras-nonfree/akode-extras

* Mon Mar 20 2006 Rex Dieter 6:1.5.2-1.0
- kde-3.5.2

* Sat Jan 21 2006 Rex Dieter 6:1.5.1-1.0
- kde-3.5.1
- document "cleanup .la files" (#178733)

* Mon Dec 19 2005 Rex Dieter 6:1.5.0-1.3
- rawhide sync

* Mon Dec 19 2005 Than Ngo <than@redhat.com> 6:1.5.0-1
- apply patch to fix #169631

* Sun Dec 11 2005 Rex Dieter 6:1.5.0-1.2
- fix glib-artsc patch (remove extraneous @'s)

* Thu Dec 01 2005 Rex Dieter 6:1.5.0-1.1
- strip glib references from artsc-config
- --enable-new-ld-flags
- --disable-gcc-hidden-visibility

* Mon Nov 21 2005 Rex Dieter 6:1.5.0-1.0
- kde-3.5.0

* Sat Nov 12 2005 Rex Dieter 6:1.5.0-0.1.rc1.kde
- kde-3.5.0-rc1

* Thu Oct 06 2005 Rex Dieter 6:1.4.3-1.0.kde
- kde-3.4.3

* Thu Aug 04 2005 Rex Dieter 6:1.4.2-1.2.kde
- respin

* Wed Aug 03 2005 Rex Dieter 6:1.4.2-1.1.kde
- visibility respin (fc3,fc4,el4)

* Thu Jul 21 2005 Rex Dieter 6:1.4.2-1.0.kde
- kde-3.4.2

* Mon Jun 20 2005 Rex Dieter 6:1.4.1-1.2.kde
- disable -fvisibility, for now (kde bug #101542)

* Tue May 24 2005 Rex Dieter 8:1.4.1-1.0.kde
- 1.4.1

* Wed Mar 23 2005 Rex Dieter 8:1.4.0-1.2.kde
- %%post/%%postun workarounds for recent /sbin/ldconfig (fc3/el4)

* Fri Mar 18 2005 Rex Dieter 8:1.4.0-1.1.kde
- sync w/rawhide's 1.4.0-1

* Fri Mar 04 2005 Rex Dieter 8:1.4.0-1.0.kde
- 1.4.0(final)

* Thu Mar 03 2005 Rex Dieter 8:1.4.0-0.1.rc1
- drop juk/arts hack
- x86_64: admin-visibility-2.patch (drop -fvisibility-inlines-hidden, for now)

* Thu Feb 24 2005 Rex Dieter 8:1.4.0-0.0.rc1
- 1.4.0-rc1

* Tue Feb 22 2005 Rex Dieter 8:1.3.92-0.4.kde
- BR: qt-3.3.4
- 1.3.92

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 8:1.3.2-1.0.kde
- 1.3.2

* Thu Nov 11 2004 Rex Dieter <rexdieter[AT]users.sf.net> 8:1.3.1-1.0.kde
- fc3

* Wed Oct 04 2004 Rex Dieter <rexdieter at sf.net> 8:1.3.1-0.1.kde
- (try to) avoid linking ogg/vorbis, audiofile, esd, asound, glib 
  into *every* kde app.

* Mon Oct 04 2004 Rex Dieter <rexdieter at sf.net> 8:1.3.1-0.0.kde
- 1.3.1

* Fri Sep 17 2004 Rex Dieter <rexdieter at sf.net> 8:1.3.0-4.0.kde
- kde-redhat'ize

* Wed Sep 15 2004 Than Ngo <than@redhat.com> 1.3.0-4
- fix multilib problem #132576

* Fri Sep 03 2004 Colin Walters <walters@redhat.com> 1.3.0-3
- Fix trivial conflict in glib patch and reapply; this
  removes dependency on glib2.0 and therefore prevents
  symbol clashes with applications loading arts still
  using glib 1.2, like XMMS.

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 8:1.3.0-1.0.kde
- 1.3.0

* Tue Aug 03 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.92-0.1.kde
- try harder to purge libmad references in .la files

* Thu Jul 15 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.3-3.1.kde
- fix qtver->qt_ver macro usage

* Thu Jul 15 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.3-3.0.kde
- sync w/rawhide's 1.2.3-3 (notably, build pie executable on systems
  that support it)

* Fri Jun 04 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.3-1.0.kde
- 1.2.3

* Wed May 19 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.2-2.1.kde
- amd64 patch (kde bug #72550)

* Thu Apr 29 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.2-2.0.kde
- build for FC2

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.2-0.fdr.0
- 1.2.2

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.1-0.fdr.0
- 1.2.1
- use qt-3.3

* Thu Feb 26 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.0-0.fdr.2
- fix artswrapper for real-time priority support.

* Mon Feb 23 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.0-0.fdr.1
- no_glib2 patch (kde bug #65664)

* Mon Jan 26 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.0-0.fdr.0
- 1.2.0

